Bug 1575486 - Dependency resolution errors on performing yum update from 6.3.1 Capsule to 6.4
Summary: Dependency resolution errors on performing yum update from 6.3.1 Capsule to 6.4
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: 6.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: Unspecified
Assignee: Evgeni Golov
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 05:10 UTC by Sanket Jagtap
Modified: 2018-05-18 10:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-18 10:45:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sanket Jagtap 2018-05-07 05:10:00 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Update from 6.3.z Capsule to 6.4

How reproducible:
Always

Steps to Reproduce:
1. Go to 6.3.z Capsule run Yum Update
2.
3.

Actual results:
PFA

Expected results:
It should update the packages

Additional info:

Comment 3 Evgeni Golov 2018-05-07 06:25:12 UTC
Sanket,

looking at the Jenkins output, I think we miss the RHSCL repo on the Capsule:

[qe-capsule-upgrade-rhel7.capqe.lab.eng.rdu2.redhat.com] run: subscription-manager refresh
[qe-capsule-upgrade-rhel7.capqe.lab.eng.rdu2.redhat.com] out: 3 local certificates have been deleted.
[qe-capsule-upgrade-rhel7.capqe.lab.eng.rdu2.redhat.com] out: All local data refreshed
[qe-capsule-upgrade-rhel7.capqe.lab.eng.rdu2.redhat.com] out: 

[qe-capsule-upgrade-rhel7.capqe.lab.eng.rdu2.redhat.com] run: subscription-manager repos --list | grep 'Repo ID'
[qe-capsule-upgrade-rhel7.capqe.lab.eng.rdu2.redhat.com] out: Repo ID:   rhel-7-server-rpms
[qe-capsule-upgrade-rhel7.capqe.lab.eng.rdu2.redhat.com] out: Repo ID:   Default_Organization_capsule6_latest_capsule6_latest_repo
[qe-capsule-upgrade-rhel7.capqe.lab.eng.rdu2.redhat.com] out: Repo ID:   rhel-7-server-satellite-capsule-6.3-rpms
[qe-capsule-upgrade-rhel7.capqe.lab.eng.rdu2.redhat.com] out: Repo ID:   rhel-7-server-satellite-capsule-6.3-puppet4-rpms
[qe-capsule-upgrade-rhel7.capqe.lab.eng.rdu2.redhat.com] out: 

[qe-capsule-upgrade-rhel7.capqe.lab.eng.rdu2.redhat.com] run: subscription-manager repos --disable rhel-7-server-satellite-capsule-6.3-rpms
[qe-capsule-upgrade-rhel7.capqe.lab.eng.rdu2.redhat.com] out: Repository 'rhel-7-server-satellite-capsule-6.3-rpms' is disabled for this system.
[qe-capsule-upgrade-rhel7.capqe.lab.eng.rdu2.redhat.com] out: 

Additionally, we should probably disable the rhel-7-server-satellite-capsule-6.3-puppet4-rpms repo, as we disable rhel-7-server-satellite-capsule-6.3-rpms.

Could you please retry with rhel-server-rhscl-7-rpms enabled on the capsule?

Comment 5 Sanket Jagtap 2018-05-07 16:04:15 UTC
Thanks Evgeni for pointing it out,

I added the RHSCL repo to the box and ran Yum update. I ended up with another resolution issue,

Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed

Product Name: Red Hat Satellite Capsule
Status:       Subscribed

[root@qe-capsule-upgrade-rhel7 ~]# subscription-manager repos --disable=rhel-7-server-satellite-capsule-6.3-rpms
Repository 'rhel-7-server-satellite-capsule-6.3-rpms' is disabled for this system.

[root@qe-capsule-upgrade-rhel7 ~]# subscription-manager repos --disable=rhel-7-server-satellite-capsule-6.3-puppet4-rpms
yum repRepository 'rhel-7-server-satellite-capsule-6.3-puppet4-rpms' is disabled for this system.


[root@qe-capsule-upgrade-rhel7 ~]# yum repolist
repo id                                                                                         repo name                                                                                                    
capsule6_latest_repo                                                                                            
rhel
 Red Hat Enterprise Linux 7 Server (RPMs)  
Red Hat Software Collections RPMs for Red Hat Enterprise Linux 7 Server 
repolist: 35,380
Uploading Enabled Repositories Report
Loaded plugins: product-id, subscription-manager



y[root@qe-capsule-upgrade-rhel7 ~]# yum update


--> Finished Dependency Resolution
Error: Package: gofer-2.7.7-2.el7sat.noarch (@rhel-7-server-satellite-capsule-6.2-rpms)
           Requires: python-gofer = 2.7.7
           Removing: python-gofer-2.7.7-3.el7sat.noarch (@rhel-7-server-satellite-capsule-6.3-rpms)
               python-gofer = 2.7.7-3.el7sat
           Updated By: python-gofer-2.11.4-4.el7sat.noarch (Default_Organization_capsule6_latest_capsule6_latest_repo)
               python-gofer = 2.11.4-4.el7sat
Error: Package: python-gofer-proton-2.7.7-2.el7sat.noarch (@rhel-7-server-satellite-capsule-6.2-rpms)
           Requires: python-gofer = 2.7.7
           Removing: python-gofer-2.7.7-3.el7sat.noarch (@rhel-7-server-satellite-capsule-6.3-rpms)
               python-gofer = 2.7.7-3.el7sat
           Updated By: python-gofer-2.11.4-4.el7sat.noarch (Default_Organization_capsule6_latest_capsule6_latest_repo)
               python-gofer = 2.11.4-4.el7sat
**********************************************************************
yum can be configured to try to resolve such errors by temporarily enabling
disabled repos and searching for missing dependencies.
To enable this functionality please set 'notify_only=0' in /etc/yum/pluginconf.d/search-disabled-repos.conf
**********************************************************************

Error: Package: gofer-2.7.7-2.el7sat.noarch (@rhel-7-server-satellite-capsule-6.2-rpms)
           Requires: python-gofer = 2.7.7
           Removing: python-gofer-2.7.7-3.el7sat.noarch (@rhel-7-server-satellite-capsule-6.3-rpms)
               python-gofer = 2.7.7-3.el7sat
           Updated By: python-gofer-2.11.4-4.el7sat.noarch (Default_Organization_capsule6_latest_capsule6_latest_repo)
               python-gofer = 2.11.4-4.el7sat
Error: Package: python-gofer-proton-2.7.7-2.el7sat.noarch (@rhel-7-server-satellite-capsule-6.2-rpms)
           Requires: python-gofer = 2.7.7
           Removing: python-gofer-2.7.7-3.el7sat.noarch (@rhel-7-server-satellite-capsule-6.3-rpms)
               python-gofer = 2.7.7-3.el7sat
           Updated By: python-gofer-2.11.4-4.el7sat.noarch (Default_Organization_capsule6_latest_capsule6_latest_repo)
               python-gofer = 2.11.4-4.el7sat
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Uploading Enabled Repositories Report
Loaded plugins: product-id, subscription-manager

Comment 6 Evgeni Golov 2018-05-08 08:46:55 UTC
Hi Sanket,

do you have the latest "Tools" repo enabled on the Capsule? That's where you'd get an updated "gofer" package.

Evgeni

Comment 8 Evgeni Golov 2018-05-18 10:32:47 UTC
There is now a docs BZ to fix that: https://bugzilla.redhat.com/show_bug.cgi?id=1579004

Sanket, can this BZ be closed then?

Comment 9 Sanket Jagtap 2018-05-18 10:45:38 UTC
Yes, closing this, In favor or docs bug


Note You need to log in before you can comment on or make changes to this bug.